%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	X terminal emulator for Xfce desktop environment
Name:		xfce4-terminal
Version:	1.1.4
Release:	%mkrel 1
Group:		Terminals
License:	GPLv2+
URL:		https://docs.xfce.org/apps/terminal/
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch501:	0001-Improve-debugging-messages.patch
Patch502:	0001-Improve-debugging-messages-vol-2.patch
Patch503:	0001-Duplicate-string-gvalues.patch
BuildRequires:	git-core
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.17.2
Obsoletes:	terminal < 0.6.0

%description
Terminal is a modern, lightweight, and low memory cost terminal
emulator with tabs and multiple windows for the Xfce desktop
environment. It offers full-customization for the key bindings,
the aspect, the colors, and more.

%prep
%autosetup -p1 -Sgit_am

%build
%configure \
	--disable-static
%make_build

%install
%make_install

desktop-file-edit \
	--add-category="GTK" \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-edit \
	--remove-key="NotShowIn" \
	--add-only-show-in="XFCE" \
		%{buildroot}%{_datadir}/applications/%{name}-settings.desktop

%find_lang %{name} --with-man

%check
make check

%files -f %{name}.lang
%license COPYING
%doc README* ChangeLog NEWS AUTHORS HACKING THANKS
%{_bindir}/%{name}
%{_datadir}/xfce4/terminal/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.terminal{,-settings}.{png,svg}
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Dec 26 2024 wally <wally> 1.1.4-1.mga10
+ Revision: 2130272
- new version 1.1.4

* Sun Apr 21 2024 wally <wally> 1.1.3-2.mga10
+ Revision: 2060354
- rebuild with libxfce4ui 4.19.5

* Fri Mar 22 2024 wally <wally> 1.1.3-1.mga10
+ Revision: 2051282
- new version 1.1.3

* Tue Feb 20 2024 wally <wally> 1.1.2-1.mga10
+ Revision: 2042664
- new version 1.1.2
- drop utempter support as vte has dropped it also

* Sun Nov 19 2023 wally <wally> 1.1.1-1.mga10
+ Revision: 2007836
- new version 1.1.1
- enable utempter support for utmp file updates

* Mon Sep 04 2023 wally <wally> 1.1.0-1.mga10
+ Revision: 1984098
- new version 1.1.0

* Tue May 24 2022 wally <wally> 1.0.4-1.mga9
+ Revision: 1860022
- new version 1.0.4

* Sat Apr 23 2022 wally <wally> 1.0.2-1.mga9
+ Revision: 1852809
- new version 1.0.2

* Mon Apr 18 2022 wally <wally> 1.0.1-1.mga9
+ Revision: 1851160
- new version 1.0.1

* Sun Apr 03 2022 wally <wally> 1.0.0-1.mga9
+ Revision: 1842531
- new version 1.0.0

* Sun Apr 03 2022 umeabot <umeabot> 0.9.2-2.mga9
+ Revision: 1841799
- Mageia 9 Mass Rebuild

* Mon Mar 07 2022 wally <wally> 0.9.2-1.mga9
+ Revision: 1789303
- new version 0.9.2

* Sat Dec 11 2021 wally <wally> 0.9.1-1.mga9
+ Revision: 1761421
- new version 0.9.1

* Sat Apr 24 2021 wally <wally> 0.8.10-2.mga9
+ Revision: 1719201
- rebuild with new glib2.0

* Wed Dec 23 2020 wally <wally> 0.8.10-1.mga8
+ Revision: 1663157
- new version 0.8.10

* Thu Jul 16 2020 wally <wally> 0.8.9.2-2.mga8
+ Revision: 1606571
- add patch to fix issues with glib 2.65 (mga#26956)
- add patches to improve debug msgs

* Mon Mar 30 2020 wally <wally> 0.8.9.2-1.mga8
+ Revision: 1562411
- new version 0.8.9.2

* Tue Feb 18 2020 umeabot <umeabot> 0.8.9.1-2.mga8
+ Revision: 1541592
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 31 2019 wally <wally> 0.8.9.1-1.mga8
+ Revision: 1475030
- new version 0.8.9.1

* Fri Dec 27 2019 wally <wally> 0.8.9-1.mga8
+ Revision: 1470208
- new version 0.8.9

* Wed Jul 03 2019 wally <wally> 0.8.8-1.mga8
+ Revision: 1417934
- new version 0.8.8

* Sun Jan 27 2019 wally <wally> 0.8.7.4-4.mga7
+ Revision: 1361202
- show settings menu item only in Xfce's app menu

* Sat Dec 15 2018 wally <wally> 0.8.7.4-3.mga7
+ Revision: 1341407
- show app menu icon for all DEs

* Sun Sep 23 2018 umeabot <umeabot> 0.8.7.4-2.mga7
+ Revision: 1301886
- Mageia 7 Mass Rebuild

* Sat May 19 2018 wally <wally> 0.8.7.4-1.mga7
+ Revision: 1230511
- new version 0.8.7.4

* Sun Apr 01 2018 wally <wally> 0.8.7.3-1.mga7
+ Revision: 1214024
- new version 0.8.7.3

* Thu Mar 15 2018 wally <wally> 0.8.7.2-1.mga7
+ Revision: 1209637
- new version 0.8.7.2

* Sat Mar 03 2018 wally <wally> 0.8.7.1-1.mga7
+ Revision: 1206196
- new version 0.8.7.1

* Fri Sep 29 2017 wally <wally> 0.8.6-1.mga7
+ Revision: 1161685
- new version 0.8.6

* Sat Feb 18 2017 wally <wally> 0.8.4-1.mga6
+ Revision: 1086682
- new version 0.8.4

* Tue Feb 09 2016 umeabot <umeabot> 0.6.3-5.mga6
+ Revision: 952478
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 0.6.3-4.mga5
+ Revision: 817523
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.6.3-3.mga5
+ Revision: 748970
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.3-2.mga5
+ Revision: 690634
- Mageia 5 Mass Rebuild

* Fri Dec 27 2013 wally <wally> 0.6.3-1.mga4
+ Revision: 560907
- new version 0.6.3
- drop patches from upstream git/bugzilla

* Tue Oct 22 2013 umeabot <umeabot> 0.6.2-4.mga4
+ Revision: 546116
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 wally <wally> 0.6.2-3.mga4
+ Revision: 502178
- add patch from upstream bugzilla to fix crash when accessing the encoding menu

* Thu Jul 25 2013 wally <wally> 0.6.2-2.mga4
+ Revision: 458123
- add patch from upstream git to improve URL matching (xfce#7959, xfce#9800)

* Thu May 23 2013 wally <wally> 0.6.2-1.mga4
+ Revision: 425078
- new version 0.6.2

* Sun Mar 17 2013 lmenut <lmenut> 0.6.1-3.mga3
+ Revision: 403618
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Mon Jan 14 2013 umeabot <umeabot> 0.6.1-2.mga3
+ Revision: 386869
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 wally <wally> 0.6.1-1.mga3
+ Revision: 337204
- new version 0.6.1
- fix URL

* Fri Dec 28 2012 wally <wally> 0.6.0-1.mga3
+ Revision: 335838
- new version 0.6.0
- rename to xfce4-terminal

* Mon May 28 2012 wally <wally> 0.4.8-1.mga3
+ Revision: 248653
- rebuild for new libxfce4util
- clean .spec

* Fri Jul 08 2011 dams <dams> 0.4.8-1.mga2
+ Revision: 120716
- Update to 0.4.8

* Mon Apr 18 2011 ahmad <ahmad> 0.4.7-1.mga1
+ Revision: 87572
- Update to 0.4.7
- Drop BR imagemagick (unneeded now)
- Drop patch1, fixed differently upstream

* Thu Feb 17 2011 ahmad <ahmad> 0.4.6-3.mga1
+ Revision: 52970
- drop old/unneeded scriptlets
- imported package terminal


* Sun Feb 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-2mdv2011.0
+ Revision: 636443
- drop patch 2, not needed anymore

* Sat Feb 05 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-1
+ Revision: 636283
- update to new version 0.4.6
- drop patch 0

* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.5-6
+ Revision: 633046
- rebuild for new Xfce 4.8.0

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.5-5mdv2011.0
+ Revision: 594224
- rebuild

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.5-4mdv2011.0
+ Revision: 579621
- rebuild for new xfce 4.7.0

* Wed Sep 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.5-3mdv2011.0
+ Revision: 578785
- Patch2: add support for vte-0.25.91
- Patch1: fix small memory leak (mdv #61018)

* Sun Aug 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.5-2mdv2011.0
+ Revision: 564474
- rebuild for new vte and gtk

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.5-1mdv2011.0
+ Revision: 554446
- update to new version 0.4.5

* Tue Feb 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.4-2mdv2010.1
+ Revision: 499786
- some doc symlinks were replaced by a directories, and this breaks upgrade of terminal (mdvbz #57365)

* Mon Feb 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.4-1mdv2010.1
+ Revision: 499258
- update to new version 0.4.4
- fix file list

* Tue Oct 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 455039
- update to new version 0.4.2
- adapt to use upstream new URLs for sources

* Sat Sep 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-2mdv2010.0
+ Revision: 449614
- rebuild for new vte

* Wed Jul 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-1mdv2010.0
+ Revision: 398584
- update to new version 0.4.0

* Sat Jul 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.99.1-1mdv2010.0
+ Revision: 397028
- update to new version 0.2.99.1

* Mon Jul 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.90-1mdv2010.0
+ Revision: 395570
- drop all patches, they were fixed by upstream
- use stock icons
- update to new version 0.2.90
- bump vte version to 0.17.1

* Thu Jun 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-5mdv2010.0
+ Revision: 385025
- Patch3: fix tab activity on window size change

* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 0.2.12-4mdv2010.0
+ Revision: 384703
- rebuild for new vte

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 0.2.12-3mdv2010.0
+ Revision: 382205
- rebuild for new libvte

* Sun May 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-2mdv2010.0
+ Revision: 379249
- Patch2: fix always show tabs option

* Wed Apr 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12-1mdv2010.0
+ Revision: 368748
- update to new version 0.2.12

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.10-4mdv2009.1
+ Revision: 364201
- Patch2: fall back to the SHELL environment variable
- Patch3: properly destroy the go menu
- code is fixed, so no need to disable format-strings error check

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.10-3mdv2009.1
+ Revision: 349169
- rebuild whole xfce

* Sat Feb 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.10-2mdv2009.1
+ Revision: 346149
- drop patch 2 as it was merged by upstream

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 0.2.10-1mdv2009.1
+ Revision: 345746
- Disable patch2

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.2.10

* Thu Jan 15 2009 Jérôme Soyer <saispo@mandriva.org> 0.2.8.3-1mdv2009.1
+ Revision: 329672
- New upstream release

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.8-6mdv2009.1
+ Revision: 294878
- rebuild for Xfce4.6 beta 1

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.2.8-5mdv2009.0
+ Revision: 269419
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - Patch2: blink the tab if there is any activity on background

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.8-3mdv2008.1
+ Revision: 188968
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.8-2mdv2008.1
+ Revision: 119173
- really apply patch 1
- add checks

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.8-1mdv2008.1
+ Revision: 115338
- Add files
- Add Patches for fixing prefs
- New release and remove unneeded patch which is fixed upstream

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.6-5mdv2008.1
+ Revision: 110608
- add missing buildrequires
- update summary and description
- new license policy
- do not package COPYING and INSTALL files
- revert last change
- fix desktop entry

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.6-4mdv2008.0
+ Revision: 71398
- provide patch 1 (CVE-2007-3770)
- own directory
- drop X-MandrivaLinux

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.6-3mdv2008.0
+ Revision: 32838
- s/imagemagick/ImageMagick

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.6-2mdv2008.0
+ Revision: 32825
- drop old menu style
- tune up desktop file
- disable compiling static files
- spec file clean


* Tue Jan 23 2007 plouf <plouf> 0.2.6-1mdv2007.0
+ Revision: 112310
- New release 0.2.6

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 0.2.5.8-0.rc2mdv2007.1
+ Revision: 91631
- Update to 2.5.8rc2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix BuildRequires
    - import terminal-0.2.5.4-0.beta2.2mdv2007.0

* Wed Aug 02 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5.4-0.beta2.2mdv2007.0
- rebuild for latest dbus
- use icon_cache marco

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5.4-0.beta2.1mdv2007.0
- 0.2.5.4beta2

* Sat Jun 24 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5.1-0.beta1.2mdv2007.0
- rebuild for libvte9
- BR & R
- drop Source1
- Xdg

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.2.5.1-0.beta1.1mdk
- Sat Apr 22 2006 trem <trem@mandriva.org> 0.2.5.1-0.beta1.1mdk
- 0.2.5.1beta1

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.4-4mdk
- Rebuild with latest dbus

* Mon Oct 31 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.4-3mdk
- Rebuild for new dbus

* Tue Aug 02 2005 Marcel Pol <mpol@mandriva.org> 0.2.4-2mdk
- buildrequires perl-XML-Parser, ImageMagick

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 0.2.4-1mdk
- 0.2.4
- %%{1}mdv2007.1

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.2.4-0.pre1.1mdk
- 0.2.4pre1

* Sun Jan 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.2.2-1mdk
- 0.2.2

* Sat Dec 04 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- rebuild to use db4.3

